<!--=================================
 header -->
<header id="header" class="header default" style="position: fixed;">
<!--=================================
 mega menu -->
<div class="menu">
  <!-- menu start -->
   <nav id="menu" class="mega-menu">
    <!-- menu list items container -->
    <section class="menu-list-items" style="background-color: #000000ba;height: 65px;">
     <div class="container" >
      <div class="row">
       <div class="col-lg-12 col-md-12">
        <!-- menu logo -->
        <ul class="menu-logo" style="display: flex;align-items: center;">
            <li>
                <a [routerLink]="['/Catalogo',this.tag]"><img id="logo_img" src="assets/0001.png" alt="logo"> </a>
            </li>
            <li id="orv">
              <span id="titleCenter" style="color: white; font-weight: 300;font-size: 20px;margin-left: 20px;">CATÁLOGO</span>
            </li>
        </ul>
        <!-- menu links -->
        <div class="menu-bar">

        </div>
       </div>
      </div>
     </div>
    </section>
   </nav>
  <!-- menu end -->
 </div>
</header>

<!--=================================
 header -->
<!--=================================
page-title-->
<section class="page-title bg-overlay-black-60 " style="background-image: url({{this.imgPortada}});background-size: cover;background-repeat: no-repeat;background-position: bottom;">
  <div class="container">
    <div class="row">
      <!-- <div class="col-lg-12">
      <div class="page-title-name">
          <h1>shop listing</h1>
          <p>We know the secret of your success</p>
        </div>
          <ul class="page-breadcrumb">
            <li><a href="#"><i class="fa fa-home"></i> Home</a> <i class="fa fa-angle-double-right"></i></li>
            <li><a href="#">shop</a> <i class="fa fa-angle-double-right"></i></li>
            <li><span>shop listing</span> </li>
       </ul>
     </div> -->
     </div>
  </div>
</section>
<!--=================================
page-title -->
<!--=================================
shop -->
  <section class="wishlist-page page-section-ptb">
    <div *ngIf="this.premium=='1'" class="container">
      <div class="row text-center d-flex justify-content-center">
        <img src="{{this.img}}" class="img"/>
        <img src="assets/planet-sharp.svg" class="img2"/>
      </div>
      <div class="row mt-catalogo">
          <div class="col-lg-12 col-md-12 mt-2">
           <div class="table-responsive text-center">
             <h2 style="align-items:center;font-weight:500;color: #c67230;" class="text-center mb-4">Resumen del Pedido</h2>
              <table class="table">
                <thead>
                    <tr>
                      <th class="xs-none text-table">Producto</th>
                      <th class="text-table">Nombre</th>
                      <th class="text-table">Precio Unitario</th>
                      <th class="text-table">Cantidad </th>
                      <th class="xs-none"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngIf="cart === []">
                      <td colspan="5" class="text-center"><h4>Tu carrito esta vacio</h4></td>
                    </tr>
                   <tr *ngFor="let item of cart; let i=index">
                     <td class="image xs-none">
                        <a class="media-link">
                           <img *ngIf="item.imageProduct !== ''" class="img-fluid" src="{{item.imageProduct}}" alt=""/>
                           <img *ngIf="item.imageProduct === ''" class="img-fluid" src="https://orvity.com/orv/php/item.png"/>
                        </a>
                        </td>
                         <td>
                          <a>{{ item.title }}</a>
                         </td>
                          <td class="price">${{ item.price }}</td>
                          <td class="td-quentety description">
                            <a (click)="abrir(item.id)">
                              <input type="number" value="{{item.cantidad}}" disabled>
                            </a>
                              <a id="item-titulo" data-toggle="modal" data-target="#exampleModal" #openModal></a>
                              <i (click)="confirmaEliminar(i)" class="fa fa-close elimina"></i>
                            </td>
                          <td class="total xs-none">
                           <a (click)="confirmaEliminar(i)"><i class="fa fa-close"></i></a>
                          </td>
                      </tr>
                  </tbody>
             </table>
         </div>
       </div>
      </div>
      <div class="row mt-60">
        <div class="col-md-6">

        </div>
        <div class="col-md-6 float-right sm-mt-30">
          <table class="table table-dark text-right">
                  <tbody>
                  <tr class="total">
                    <td><b>Total </b></td>
                    <td><b>${{ total2 }}</b></td>
                  </tr>
                </tbody>
              </table>
              <div class="row mt-3">
                <div class="col-md-12 text-center">
                  <label for="nombre" style="font-weight:700;color:black;">Ingresa tu Nombre</label><br>
                  <input class="inputprod" id="nombre" type="text" [(ngModel)]="nombre" (ngModelChange)="nombrePedido($event)">
                </div>
              </div>
              <div class="row">
                <div class="col-md-2 text-center" *ngIf="this.envio!=='0'"></div>
                <div class="col-md-8 text-center" *ngIf="this.envio!=='0'">
                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" id="customSwitches" (click)="toggle(activar_metodo)">
                    <label style="font-weight:700;color:black;" class="custom-control-label" for="customSwitches" *ngIf="this.precioEnvio > 0">Envío a domicilio ${{this.precioEnvio1}}</label>
                    <label style="font-weight:700;color:black;" class="custom-control-label" for="customSwitches" *ngIf="this.precioEnvio === 0.00">Envío a domicilio $ Por zona</label>
                  </div>
                </div>
                <div class="col-md- text-center" *ngIf="this.envio!=='0'"></div>
                <div class="col-md-12 text-center"  *ngIf="this.activar_metodo === false">
                  <label for="direccion" style="font-weight:700;color:black;" *ngIf="this.envio!=='0'">
                    Ingresa tu dirección</label>
                  <label for="direccion" style="font-weight:700;color:black;" *ngIf="this.envio==='0'">No cuenta con envío a domicilio</label><br>
                  <input [disabled]="this.direccionActiva==false" class="inputprod" id="direccion" type="text" [(ngModel)]="direccion" (ngModelChange)="direccionPedido($event)">
                </div>
              </div>
              <div class="row">
                <div class="col-md-12 text-center">
                  <label for="comentario" style="font-weight:700;color:black;">Ingresa un comentario</label><br>
                  <input class="inputprod" id="comentario" type="text" [(ngModel)]="comentario" (ngModelChange)="comentarioPedido($event)">
                </div>
              </div>

                  <textarea id="copyTextarea" rows="1" [(ngModel)]="copyClipboard" style="border: 1px solid #ccc;margin: 5px 0 5px 0;padding: 0px 0px 0 20px; width: 100%;background: transparent;opacity: 0;">
                  </textarea>

              <div class="row">
                <div class="col-md-6 text-center">
                  <button class="button mt-10 btn-whats" (click)="validar()">
                    <img src="assets/whatsapp-logo.png" class="mr-3" width="20px" alt="">
                      ENVIAR A WHATSAPP
                  </button>
                  <a #whats href="https://api.whatsapp.com/send?phone=52{{numeroWhats}}&text=Hola%20{{nombreEmpresa}},%20mi%20nombre%20es%20{{nombreFinal}}.%20Te%20solicito%20lo%20siguiente%20utilizando%20ORVITY%3A%0A%0A{{nombreProductos}}%0A{{stringEnvio}}%0A%0A*Total%3A%20%24{{totalwahts2}}*%0A%0A{{direccionFinal}}.%0A%0AComentario%3A%20{{comentarioFinal}}.%0A%0AMuchas%20gracias.">
                  </a>
                </div>
                <div class="col-md-6 text-center">
                    <button class="button mt-10 btn-messenger" (click)="validar2('copyTextarea')">
                      <img src="assets/messenger-logo.png" class="mr-3" width="20px" alt="">
                      COPIAR A MESSENGER
                    </button>
                    <a #messeger href="http://m.me/{{this.messengerName}}">
                  </a>
                </div>
              </div>
        </div>

      </div>
    </div>
    <div *ngIf="this.premium=='0'" class="container">
      <div class="row text-center d-flex justify-content-center">
        <img src="{{this.img}}" class="img" style="border:none!important;"/>
      </div>
      <div class="row text-center d-flex justify-content-center mt-5 pt-5">
        <h1 style="font-size: 40px;text-shadow:4px 4px 5px #c67230;text-align: center;">
          Para mostrar el carrito de compras, este usuario debe ser premium
        </h1>
      </div>
    </div>
 </section>
<!--=================================
shop -->
<app-footer></app-footer>

<!-- MODAL VER PRODUCTO -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content" style="border-radius: 25px;">
        <button hidden #closeModal type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <div class="modal-body text-center">
          <section class="shop-single page-section-ptb">
              <div class="container">
                <div class="row">
                  <div class="col-lg-12">
                  <div class="row" *ngFor="let product of producto">
                    <div class="col-lg-12 text-center">
                      <h4>Modificar Cantidad</h4>
                    </div>
                    <div class="col-lg-12 mt-4">
                      <div class="product-detail clearfix">
                        <div class="product-detail-quantity clearfix mb-40 d-flex align-items-center justify-content-center">
                          <input placeholder="#" name="cantidad" id="cantidad" [(ngModel)]="cantidad" (ngModelChange)="cantidadProduct($event)"/>
                            <div class="ml-3 product-detail add-to-cart">
                                <a class="button small" style="color: white;" (click)="addtoCart2(product.id)">
                                  Modificar
                                </a>
                            </div>
                          </div>
                    </div>
                  </div>
                </div>
                </div>
                </div>
              </div>
          </section>
        </div>
      </div>
    </div>
</div>